{% layout none %}

<!DOCTYPE html>
<html lang="en-us">
  <head>
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="HandheldFriendly" content="True">
    <meta name="MobileOptimized" content="320">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
  
    {% if page_description %}
      <meta name="description" content="{{ page_description | escape }}">
    {% endif %}

    
    <title>{{ shop.name }}</title>
    
    
    {% if settings.favicon != blank %}
      <link rel="shortcut icon" href="{{ settings.favicon | img_url: '32x32' }}" type="image/png">
    {% endif %}
    
    {{ 'main.scss' | asset_url | stylesheet_tag }}
  
    <link href="//fonts.googleapis.com/css?family=.|Oswald:light,normal,bold|Oswald:light,normal,bold|Oswald:light,normal,bold|Roboto:light,normal,bold|Roboto:light,normal,bold" rel="stylesheet" type="text/css" />
    
    <style>
       
       html, body {
      	height: 100%;
      } 
      .overlay {
        display: block;
      	position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0,0,0,0.6);
        z-index: 10;
      }
      .overlay-content {
        position: absolute;
        width: 100%;
        top: 50%;
        -webkit-transform: translateY(-50%);
        -moz-transform: translateY(-50%);
        transform: translateY(-50%);
      }
      .overlay-details {
        position: relative;
      	background-color: #fff;
        margin: auto;
        padding: 3em 1em;
        -webkit-border-radius: 2px;
        -moz-border-radius: 2px;
        border-radius: 2px;
      }
      @media (min-width: 70em) {
      	.overlay-details {
          width: 60%;
        }
      }
      @media (min-width: 100em) {
      	.overlay-details {
          width: 40%;
        }
      }
      .overlay-close {
      	position: absolute;
        top: 0.5em;
        right: 1em;
      }
      label {
      	display: block;
      }
    
      
      .errors {
        margin-bottom: 1.5em;
        color: #aa1111;
        margin: 0;
      }
      .errors ul {
      	list-style: none;
      } 
      
    </style>
    <script>
      var toggle_display = function (toggle) {
      	document.getElementById('password-overlay').style.display = toggle;
      };
    </script>
  </head>
  
  <body id="{{ page_title | handle }}" class="template-{{ template.name | handle }}" {% if settings.bg_password != blank %}style="background-image:url('{{ settings.bg_password | img_url: 'master' }}')"{% endif %}>
  
  	<div class="wrapper text-white wrapper-full d-flex w-100 h-100 px-6">
      <div class="content main-content d-inline-block my-auto mx-auto text-center">
        
        <div class="clearfix mb-4">
          {% if settings.logo_password != blank %}
            <img class="img-fluid my-auto mx-auto" src="{{ settings.logo_password | img_url: '240x240' }}" alt="{{ section.settings.logo.alt | default: shop.name }}" itemprop="logo">
          {% else %}
            <h1 class="my-auto mx-auto avenir-bold h3 text-white">{{ shop.name }}</h1>
          {% endif %}
        </div>
        
        {% if shop.password_message and shop.password_message != '' %}
          <h2 class="password-page-message display-4 text-uppercase border-top border-bottom d-inline-block px-6 pt-3 pb-4"> {{ shop.password_message }} </h2>
        {% else %}
        {% endif %}
        
        <p class="mt-3 small"> Para atención al cliente escríbenos a <a class="text-white" href="mailto:{{ shop.email }}">{{ shop.email }}</a>  </p>
        
        <noscript>
          {% form 'storefront_password' %}
          
          <div class="form-inline mt-4">
            <div class="form-group mb-2 w-100">
              <input class="form-control form-control-lg password m-0" {% unless form.errors == blank %}class="has-errors"{% endunless %} type='password' name='password' id='password' placeholder='Contraseña' autofocus />
              <input class="btn btn-secondary" name="commit" type="submit" value="Entrar" />
            </div>
            {% if form.errors %}
              <div class="alert alert-danger" role="alert">
                {{ form.errors | default_errors }}
              </div>
            {% endif %}
          </div>
            
          {% unless form.errors == blank %}
          <script>
            toggle_display('table');
            document.getElementById('password').focus();
          </script>
          {% endunless %}
        {% endform %}
        
        </noscript>
      </div>
    </div>
    
    <footer class="footer-password wrapper position-absolute w-100 text-center text-white">
      <p><small><a class="text-white" id="open-password-overlay" href="/admin">Acceso</a> | <a class="text-white" href="/admin">Acceso administrador</a></small></p>
    </footer>
    
    <div class="overlay" id="password-overlay" style="display:none;">
      <div class="overlay-content">
        <div class="overlay-details">
          <a class="overlay-close" id="close-password-overlay" href="/password"><small>Cerrar</small></a>
          {% form 'storefront_password' %}
            <div class="form-inline">
              <div class="form-group w-100">
                <input class="form-control form-control-lg password m-0" {% unless form.errors == blank %}class="has-errors"{% endunless %} type='password' name='password' id='password' placeholder='Contraseña' autofocus />
                <input class="btn btn-secondary" name="commit" type="submit" value="Entrar" />
              </div>
              {% if form.errors %}
                <div class="alert alert-danger border-0 bg-white m-0 px-0" role="alert">
                  {{ form.errors | default_errors }}
                </div>
              {% endif %}
            </div>
            {% unless form.errors == blank %}
            <script>
              toggle_display('block');
              document.getElementById('password').focus();
            </script>
            {% endunless %}
          {% endform %}
        </div>
      </div>
    </div>
    
    <div class="overlay-page"></div>
    
    <script>
      document.getElementById('open-password-overlay').onclick = function () {
        toggle_display('block');
        document.getElementById('password').focus();
      	return false;
      };
      
      document.getElementById('close-password-overlay').onclick = function () {
        toggle_display('none');
      	return false;
      };
    </script>
    
  </body>
</html>
